<?php
// Required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: DELETE");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Include database and object files
include_once '../../config/database.php';
include_once '../../models/Patient.php';

// Get database connection
$database = new Database();
$db = $database->getConnection();

// Initialize patient object
$patient = new Patient($db);

// Get patient id
$data = json_decode(file_get_contents("php://input"));

// Set patient id to be deleted
if(!empty($data->patient_id)) {
    $patient->patient_id = $data->patient_id;

    // Delete the patient
    if($patient->delete()) {
        // Set response code - 200 ok
        http_response_code(200);

        // Tell the user
        echo json_encode(array("message" => "Patient was deleted."));
    } else {
        // Set response code - 503 service unavailable
        http_response_code(503);

        // Tell the user
        echo json_encode(array("message" => "Unable to delete patient."));
    }
} else {
    // Set response code - 400 bad request
    http_response_code(400);

    // Tell the user
    echo json_encode(array("message" => "Unable to delete patient. ID is required."));
}
?> 