<?php
// Required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

// Include database and object files
include_once '../../config/database.php';
include_once '../../models/Patient.php';

// Get database connection
$database = new Database();
$db = $database->getConnection();

// Initialize patient object
$patient = new Patient($db);

// Query patients
$stmt = $patient->read();
$num = $stmt->rowCount();

// Check if more than 0 record found
if($num > 0) {
    // Patients array
    $patients_arr = array();
    $patients_arr["records"] = array();

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $patient_item = array(
            "patient_id" => $patient_id,
            "full_name" => $full_name,
            "email" => $email,
            "gender" => $gender,
            "date_of_birth" => $date_of_birth,
            "phone_number" => $phone_number,
            "emergency_contact_name" => $emergency_contact_name,
            "emergency_contact_phone" => $emergency_contact_phone,
            "city" => $city,
            "region" => $region,
            "country" => $country,
            "relation_to_client" => $relation_to_client,
            "is_account_created_for_relation" => $is_account_created_for_relation,
            "selected_service" => $selected_service,
            "service_duration" => $service_duration,
            "shift" => $shift,
            "current_conditions" => $current_conditions,
            "total_cost" => $total_cost,
            "created_at" => $created_at,
            "updated_at" => $updated_at
        );

        array_push($patients_arr["records"], $patient_item);
    }

    // Set response code - 200 OK
    http_response_code(200);

    // Show patients data in JSON format
    echo json_encode($patients_arr);
} else {
    // Set response code - 404 Not found
    http_response_code(404);

    // Tell the user no patients found
    echo json_encode(array("message" => "No patients found."));
}
?> 