<?php
// Required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

// Include database and object files
include_once '../../config/database.php';
include_once '../../models/Patient.php';

// Get database connection
$database = new Database();
$db = $database->getConnection();

// Initialize patient object
$patient = new Patient($db);

// Set ID property of record to read
$patient->patient_id = isset($_GET['id']) ? $_GET['id'] : die();

// Read the details of patient
if($patient->readOne()) {
    // Create array
    $patient_arr = array(
        "patient_id" =>  $patient->patient_id,
        "full_name" => $patient->full_name,
        "email" => $patient->email,
        "gender" => $patient->gender,
        "date_of_birth" => $patient->date_of_birth,
        "phone_number" => $patient->phone_number,
        "emergency_contact_name" => $patient->emergency_contact_name,
        "emergency_contact_phone" => $patient->emergency_contact_phone,
        "city" => $patient->city,
        "region" => $patient->region,
        "country" => $patient->country,
        "relation_to_client" => $patient->relation_to_client,
        "is_account_created_for_relation" => $patient->is_account_created_for_relation,
        "selected_service" => $patient->selected_service,
        "service_duration" => $patient->service_duration,
        "shift" => $patient->shift,
        "current_conditions" => $patient->current_conditions,
        "total_cost" => $patient->total_cost
    );

    // Set response code - 200 OK
    http_response_code(200);

    // Make it json format
    echo json_encode($patient_arr);
} else {
    // Set response code - 404 Not found
    http_response_code(404);

    // Tell the user patient does not exist
    echo json_encode(array("message" => "Patient does not exist."));
}
?> 